You are not logged in.

#1 2021-11-14 08:32:24

dark_knight
Member
Registered: 2021-11-05
Posts: 3

I can't run a c# console application (glibc not found)

I'm newbie using archlinux/linux and I'm trying to run a console application in the IDE Rider, but when I run the application it says

/snap/core18/current/lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.33' not found (required by /usr/lib/libstdc++.so.6)

/snap/core18/current/lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.32' not found (required by /usr/lib/libstdc++.so.6)

I downloaded the current version of GLIBC, I can't understand what's happening and how I can solve it.

Offline

#2 2021-11-14 14:18:13

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 9,776

Re: I can't run a c# console application (glibc not found)

core18 is based on ubuntu 18.04 and appears to expect glibc 2.27[1] which is way to old for archlinux .
[2] is somewhat related and may be useful for background info .

Please post the output of

file /snap/core18/current/lib/x86_64-linux-gnu/libc.so.6


[1] https://stackoverflow.com/questions/663 … -not-found
[2] https://bugs.launchpad.net/snapd/+bug/1916745


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.
Did you use the guided installer ? If yes, I can't help you.

(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

Board footer

Powered by FluxBB